org.apache.poi.ss.format

## Class CellNumberPartHandler

- java.lang.Object
- - org.apache.poi.ss.format.CellNumberPartHandler

-     @Internal
      public class CellNumberPartHandler
      extends java.lang.Object

  Internal helper class for CellNumberFormatter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellNumberPartHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.poi.ss.format.CellNumberFormatter.Special` | `getDecimalPoint()`
    `org.apache.poi.ss.format.CellNumberFormatter.Special` | `getExponent()`
    `org.apache.poi.ss.format.CellNumberFormatter.Special` | `getNumerator()`
    `double` | `getScale()`
    `org.apache.poi.ss.format.CellNumberFormatter.Special` | `getSlash()`
    `java.util.List<org.apache.poi.ss.format.CellNumberFormatter.Special>` | `getSpecials()`
    `java.lang.String` | `handlePart(java.util.regex.Matcher m, java.lang.String part, CellFormatType type, java.lang.StringBuffer descBuf)`
    `boolean` | `isImproperFraction()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CellNumberPartHandler

          public CellNumberPartHandler()

  - ### Method Detail

    - #### handlePart

          public java.lang.String handlePart(java.util.regex.Matcher m,
                                             java.lang.String part,
                                             CellFormatType type,
                                             java.lang.StringBuffer descBuf)

    - #### getScale

          public double getScale()

    - #### getDecimalPoint

          public org.apache.poi.ss.format.CellNumberFormatter.Special getDecimalPoint()

    - #### getSlash

          public org.apache.poi.ss.format.CellNumberFormatter.Special getSlash()

    - #### getExponent

          public org.apache.poi.ss.format.CellNumberFormatter.Special getExponent()

    - #### getNumerator

          public org.apache.poi.ss.format.CellNumberFormatter.Special getNumerator()

    - #### getSpecials

          public java.util.List<org.apache.poi.ss.format.CellNumberFormatter.Special> getSpecials()

    - #### isImproperFraction

          public boolean isImproperFraction()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.